Subject: Re: What's cooking in git.git (Mar 2026, #11)

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Mar 2026 09:13:10 -0700

Christian Couder <[email-masked]> writes:

> On Fri, Mar 27, 2026 at 12:17 AM Junio C Hamano <[email-masked]> wrote:
>
>> * tc/replay-down-to-root (2026-03-24) 1 commit
>>  - replay: support replaying down from root commit
>>
>>  git replay now supports replaying down to the root commit.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> As Toon said that the silent failure in case of "topic" instead of
> "main..topic" will be addressed in a separate series, I am fine with
> merging as is.

I'll have to go back to list to find the original discussion to
refresh my memory to know what "main..topic" vs "topic" is about,
though X-<.

>> * sa/replay-revert (2026-03-25) 2 commits
>>  - replay: add --revert mode to reverse commit changes
>>  - sequencer: extract revert message formatting into shared function
>>  (this branch is used by tc/replay-ref.)
>>
>>  "git replay" (experimental) learns, in addition to "pick" and
>>  "replay", a new operating mode "revert".
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> It looks good to me, and I think the v6 properly addresses the latest
> few small issues that were found. Previously Phillip also seemed OK
> with merging except for the issues that are now fixed.

Thanks.